declare @uid varchar(500)
declare @guifuncionalidadpadre int
declare @guifuncionalidad int
declare @perfil int
select @perfil=id from seg_perfil where perfil='Proveedor' and paraProveedor = 1
select @uid=uid from seg_usuario where id=1
select @guifuncionalidadpadre=id from gui_funcionalidad where url='/forms/ort/ort_reporteTecnico.aspx' and id_tipoFuncionalidad=3 and nombreControl='ort_reporteTecnico'



/*permiso formulario reporte diario*/
if not exists(select * from seg_perfil_funcionalidad where id_perfil=@perfil and id_funcionalidad=@guifuncionalidadpadre)
begin 
insert into seg_perfil_funcionalidad(uid,eid,fechaModificacion,fechaCreacion,active,perfil_funcionalidad,id_perfil,id_funcionalidad)
values(@uid,'01',getdate(),getdate(),1,'',@perfil,@guifuncionalidadpadre)
end


/*permiso formulario reporte diario-tab tecnicos*/


select @guifuncionalidad=id from gui_funcionalidad where  id_tipoFuncionalidad=1 and  id_funcionalidad=@guifuncionalidadpadre and url='/forms/ort/ort_reporteTecnico.aspx' and nombreControl='tecnico'
if not exists(select * from seg_perfil_funcionalidad where id_perfil=@perfil and id_funcionalidad=@guifuncionalidad)
begin 
insert into seg_perfil_funcionalidad(uid,eid,fechaModificacion,fechaCreacion,active,perfil_funcionalidad,id_perfil,id_funcionalidad)
values(@uid,'01',getdate(),getdate(),1,'',@perfil,@guifuncionalidad)
end


/*permiso formulario reporte diario-tab variables*/

select @guifuncionalidad=id from gui_funcionalidad where  id_tipoFuncionalidad=1 and  id_funcionalidad=@guifuncionalidadpadre and url='/forms/ort/ort_reporteTecnico.aspx' and nombreControl='variables'
if not exists(select * from seg_perfil_funcionalidad where id_perfil=@perfil and id_funcionalidad=@guifuncionalidad)
begin 
insert into seg_perfil_funcionalidad(uid,eid,fechaModificacion,fechaCreacion,active,perfil_funcionalidad,id_perfil,id_funcionalidad)
values(@uid,'01',getdate(),getdate(),1,'',@perfil,@guifuncionalidad)
end

/*permiso formulario reporte diario-tab tiempos*/


select @guifuncionalidad=id from gui_funcionalidad where  id_tipoFuncionalidad=1 and  id_funcionalidad=@guifuncionalidadpadre and url='/forms/ort/ort_reporteTecnico.aspx' and nombreControl='tiempos'
if not exists(select * from seg_perfil_funcionalidad where id_perfil=@perfil and id_funcionalidad=@guifuncionalidad)
begin 
insert into seg_perfil_funcionalidad(uid,eid,fechaModificacion,fechaCreacion,active,perfil_funcionalidad,id_perfil,id_funcionalidad)
values(@uid,'01',getdate(),getdate(),1,'',@perfil,@guifuncionalidad)
end


/*permiso formulario reporte diario-tab reportar*/


select @guifuncionalidad=id from gui_funcionalidad where  id_tipoFuncionalidad=1 and  id_funcionalidad=@guifuncionalidadpadre and url='/forms/ort/ort_reporteTecnico.aspx' and nombreControl='reportar'
if not exists(select * from seg_perfil_funcionalidad where id_perfil=@perfil and id_funcionalidad=@guifuncionalidad)
begin 
insert into seg_perfil_funcionalidad(uid,eid,fechaModificacion,fechaCreacion,active,perfil_funcionalidad,id_perfil,id_funcionalidad)
values(@uid,'01',getdate(),getdate(),1,'',@perfil,@guifuncionalidad)
end





/*permiso formulario editar reportes*/


select @guifuncionalidad=id from gui_funcionalidad where  id_tipoFuncionalidad=5 and  id_funcionalidad=@guifuncionalidadpadre  and nombreComando='editar'
if not exists(select * from seg_perfil_funcionalidad where id_perfil=@perfil and id_funcionalidad=@guifuncionalidad)
begin 
insert into seg_perfil_funcionalidad(uid,eid,fechaModificacion,fechaCreacion,active,perfil_funcionalidad,id_perfil,id_funcionalidad)
values(@uid,'01',getdate(),getdate(),1,'',@perfil,@guifuncionalidad)
end


/*permiso formulario imprimir reportes*/


select @guifuncionalidad=id from gui_funcionalidad where  id_tipoFuncionalidad=5 and  id_funcionalidad=@guifuncionalidadpadre  and nombreComando='imprimir'
if not exists(select * from seg_perfil_funcionalidad where id_perfil=@perfil and id_funcionalidad=@guifuncionalidad)
begin 
insert into seg_perfil_funcionalidad(uid,eid,fechaModificacion,fechaCreacion,active,perfil_funcionalidad,id_perfil,id_funcionalidad)
values(@uid,'01',getdate(),getdate(),1,'',@perfil,@guifuncionalidad)
end

